## stress-ng-0.16.00.tar.gz

=== Makefile ===
#
# Copyright (C) 2013-2021 Canonical, Ltd.
# Copyright (C) 2021-2023 Colin Ian King
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

VERSION=0.16.00
#
# Codename "capable cache cruncher"
#

KERNEL=$(shell uname -s)
NODENAME=$(shell uname -n)

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -std=gnu99
#
# Default -O2 if optimization level not defined
#
ifeq "$(findstring -O,$(CFLAGS))" ""
	CFLAGS += -O2
endif

#
# Pedantic flags
#
ifeq ($(PEDANTIC),1)
CFLAGS += -Wcast-qual -Wfloat-equal -Wmissing-declarations \
	-Wmissing-format-attribute -Wno-long-long -Wpacked \
	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
	-Wno-missing-braces -Wno-sign-compare -Wno-multichar \
	-DHAVE_PEDANTIC
endif

#
# Test for hardening flags and apply them if applicable
#
MACHINE = $(shell uname -m)
ifneq ($(PRESERVE_CFLAGS),1)
ifneq ($(MACHINE),$(filter $(MACHINE),alpha parisc ia64))
ifeq ($(shell $(CC) $(CFLAGS) -fstack-protector-strong -E -xc /dev/null > /dev/null 2>& 1 && echo 1),1)
CFLAGS += -fstack-protector-strong
endif
endif
ifeq ($(shell $(CC) $(CFLAGS) -Werror=format-security -E -xc /dev/null > /dev/null 2>& 1 && echo 1),1)
CFLAGS += -Werror=format-security
endif
ifneq ($(findstring pcc,$(CC)),pcc)
ifeq ($(shell $(CC) $(CFLAGS) -D_FORTIFY_SOURCE=2 -E -xc /dev/null > /dev/null 2>& 1 && echo 1),1)
CFLAGS += -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
endif
endif
endif

#
# Expected build warnings
#
ifeq ($(UNEXPECTED),1)
CFLAGS += -DCHECK_UNEXPECTED
endif

#
# Disable any user defined PREFV setting
#
ifneq ($(PRE_V),)
override undefine PRE_V
endif
#
# Verbosity prefixes
#
ifeq ($(VERBOSE),)
PRE_V=@
PRE_Q=@
else
PRE_V=
PRE_Q=@#
endif

ifneq ($(PRESERVE_CFLAGS),1)
ifeq ($(findstring icc,$(CC)),icc)
CFLAGS += -no-inline-max-size -no-inline-max-total-size
CFLAGS += -axAVX,CORE-AVX2,CORE-AVX-I,CORE-AVX512,SSE2,SSE3,SSSE3,SSE4.1,SSE4.2,SANDYBRIDGE,SKYLAKE,SKYLAKE-AVX512,TIGERLAKE,SAPPHIRERAPIDS
CFLAGS += -ip -falign-loops -funroll-loops -ansi-alias -fma -qoverride-limits
endif
endif

ifeq ($(findstring gcc,$(CC)),gcc)
ifneq ($(KERNEL),SunOS)
CFLAGS += -ftree-loop-vectorize
endif
endif

#ifeq ($(findstring clang,$(CC)),clang)
#CFLAGS += -Weverything
#endif

GREP = grep
#
# SunOS requires special grep for -e support
#
ifeq ($(KERNEL),SunOS)
ifneq ($(NODENAME),dilos)
GREP = /usr/xpg4/bin/grep
endif
endif

#
# Static flags, only to be used when using GCC
#
ifeq ($(STATIC),1)
LDFLAGS += -static -z muldefs
CFLAGS += -DBUILD_STATIC
endif

BINDIR=/usr/bin
MANDIR=/usr/share/man/man1
JOBDIR=/usr/share/stress-ng/example-jobs
BASHDIR=/usr/share/bash-completion/completions

#
# Header files
#
HEADERS = \
	core-arch.h \
	core-asm-arm.h \
	core-asm-ppc64.h \
	core-asm-riscv.h \
	core-asm-s390.h \
	core-asm-sparc.h \
	core-asm-x86.h \
	core-bitops.h \
	core-builtin.h \
	core-capabilities.h \
	core-cpu.h \
	core-cpu-cache.h \
	core-ftrace.h \
	core-hash.h \
	core-icache.h \
	core-io-priority.h \
	core-nt-load.h \
	core-nt-store.h \
	core-net.h \
	core-perf.h \
	core-pragma.h \
	core-pthread.h \
	core-put.h \
	core-resources.h \
	core-smart.h \
	core-sort.h \
	core-stressors.h \
	core-syslog.h \
	core-target-clones.h \
	core-thermal-zone.h \
	core-thrash.h \
	core-vecmath.h \
	core-version.h \
	stress-af-alg-defconfigs.h \
	stress-eigen-ops.h \
	stress-ng.h

#
#  Build time generated header files
#
HEADERS_GEN = \
	config.h \
	git-commit-id.h \
	io-uring.h \
	personality.h

#
#  Stressors
#
STRESS_SRC = \
	stress-access.c \
	stress-affinity.c \
	stress-af-alg.c \
	stress-aio.c \
	stress-aiol.c \
	stress-alarm.c \
	stress-apparmor.c \
	stress-atomic.c \
	stress-bad-altstack.c \
	stress-bad-ioctl.c \
	stress-bigheap.c \
	stress-bind-mount.c \
	stress-binderfs.c \
	stress-branch.c \
	stress-brk.c \
	stress-bsearch.c \
	stress-cache.c \
	stress-cacheline.c \
	stress-cap.c \
	stress-chattr.c \
	stress-chdir.c \
	stress-chmod.c \
	stress-chown.c \
	stress-chroot.c \
	stress-clock.c \
	stress-clone.c \
	stress-close.c \
	stress-context.c \
	stress-copy-file.c \
	stress-cpu.c \
	stress-cpu-online.c \
	stress-crypt.c \
	stress-cyclic.c \
	stress-daemon.c \
	stress-dccp.c \
	stress-dekker.c \
	stress-dentry.c \
	stress-dev.c \
	stress-dev-shm.c \
	stress-dir.c \
	stress-dirdeep.c \
	stress-dirmany.c \
	stress-dnotify.c \
	stress-dup.c \
	stress-dynlib.c \
	stress-eigen.c \
	stress-efivar.c \
	stress-enosys.c \
	stress-env.c \
	stress-epoll.c \
	stress-eventfd.c \
	stress-exec.c \
	stress-exit-group.c \
	stress-fallocate.c \
	stress-fanotify.c \
	stress-far-branch.c \
	stress-fault.c \
	stress-fcntl.c \
	stress-file-ioctl.c \
	stress-fiemap.c \
	stress-fifo.c \
	stress-filename.c \
	stress-flock.c \
	stress-flushcache.c \
	stress-fma.c \
	stress-fork.c \
	stress-forkheavy.c \
	stress-fp.c \
	stress-fp-error.c \
	stress-fpunch.c \
	stress-fsize.c \
	stress-fstat.c \
	stress-full.c \
	stress-funccall.c \
	stress-funcret.c \
	stress-futex.c \
	stress-get.c \
	stress-getrandom.c \
	stress-getdent.c \
	stress-goto.c \
	stress-gpu.c \
	stress-handle.c \
	stress-hash.c \
	stress-hdd.c \
	stress-heapsort.c \
	stress-hrtimers.c \
	stress-hsearch.c \
	stress-icache.c \
	stress-icmp-flood.c \
	stress-idle-page.c \
	stress-inode-flags.c \
	stress-inotify.c \
	stress-io.c \
	stress-iomix.c \
	stress-ioport.c \
	stress-ioprio.c \
	stress-io-uring.c \
	stress-ipsec-mb.c \
	stress-itimer.c \
	stress-jpeg.c \
	stress-judy.c \
	stress-kcmp.c \
	stress-key.c \
	stress-kill.c \
	stress-klog.c \
	stress-kvm.c \
	stress-l1cache.c \
	stress-landlock.c \
	stress-lease.c \
	stress-link.c \
	stress-list.c \
	stress-llc-affinity.c \
	stress-loadavg.c \
	stress-lockbus.c \
	stress-locka.c \
	stress-lockf.c \
	stress-lockofd.c \
	stress-longjmp.c \
	stress-loop.c \
	stress-lsearch.c \
	stress-madvise.c \
	stress-malloc.c \
	stress-matrix.c \
	stress-matrix-3d.c \
	stress-mcontend.c \
	stress-membarrier.c \
	stress-memcpy.c \
	stress-memfd.c \
	stress-memhotplug.c \
	stress-memrate.c \
	stress-memthrash.c \
	stress-mergesort.c \
	stress-mincore.c \
	stress-misaligned.c \
	stress-mknod.c \
	stress-mlock.c \
	stress-mlockmany.c \
	stress-mmap.c \
	stress-mmapaddr.c \
	stress-mmapfixed.c \
	stress-mmapfork.c \
	stress-mmaphuge.c \
	stress-mmapmany.c \
	stress-module.c \
	stress-mprotect.c \
	stress-mpfr.c \
	stress-mq.c \
	stress-mremap.c \
	stress-msg.c \
	stress-msync.c \
	stress-msyncmany.c \
	stress-munmap.c \
	stress-mutex.c \
	stress-nanosleep.c \
	stress-netdev.c \
	stress-netlink-proc.c \
	stress-netlink-task.c \
	stress-nice.c \
	stress-nop.c \
	stress-null.c \
	stress-numa.c \
	stress-oom-pipe.c \
	stress-opcode.c \
	stress-open.c \
	stress-pagemove.c \
	stress-pageswap.c \
	stress-pci.c \
	stress-personality.c \
	stress-peterson.c \
	stress-physpage.c \
	stress-pidfd.c \
	stress-ping-sock.c \
	stress-pipe.c \
	stress-pipeherd.c \
	stress-pkey.c \
	stress-plugin.c \
	stress-poll.c \
	stress-prctl.c \
	stress-prefetch.c \
	stress-priv-instr.c \
	stress-procfs.c \
	stress-pthread.c \
	stress-ptrace.c \
	stress-pty.c \
	stress-quota.c \
	stress-qsort.c \
	stress-race-sched.c \
	stress-radixsort.c \
	stress-randlist.c \
	stress-ramfs.c \
	stress-rawdev.c \
	stress-rawpkt.c \
	stress-rawsock.c \
	stress-rawudp.c \
	stress-rdrand.c \
	stress-readahead.c \
	stress-reboot.c \
	stress-regs.c \
	stress-remap.c \
	stress-rename.c \
	stress-resched.c \
	stress-resources.c \
	stress-revio.c \
	stress-ring-pipe.c \
	stress-rlimit.c \
	stress-rmap.c \
	stress-rotate.c \
	stress-rseq.c \
	stress-rtc.c \
	stress-sctp.c \
	stress-schedpolicy.c \
	stress-seal.c \
	stress-seccomp.c \
	stress-secretmem.c \
	stress-seek.c \
	stress-sem.c \
	stress-sem-sysv.c \
	stress-sendfile.c \
	stress-session.c \
	stress-set.c \
	stress-shellsort.c \
	stress-shm.c \
	stress-shm-sysv.c \
	stress-sigabrt.c \
	stress-sigchld.c \
	stress-sigfd.c \
	stress-sigfpe.c \
	stress-sigio.c \
	stress-signal.c \
	stress-signest.c \
	stress-sigpending.c \
	stress-sigpipe.c \
	stress-sigq.c \
	stress-sigrt.c \
	stress-sigsegv.c \
	stress-sigsuspend.c \
	stress-sigtrap.c \
	stress-skiplist.c \
	stress-sleep.c \
	stress-smi.c \
	stress-sock.c \
	stress-sockabuse.c \
	stress-sockdiag.c \
	stress-sockfd.c \
	stress-sockpair.c \
	stress-sockmany.c \
	stress-softlockup.c \
	stress-spawn.c \
	stress-sparsematrix.c \
	stress-splice.c \
	stress-stack.c \
	stress-stackmmap.c \
	stress-str.c \
	stress-stream.c \
	stress-swap.c \
	stress-switch.c \
	stress-sync-file.c \
	stress-syncload.c \
	stress-sysbadaddr.c \
	stress-syscall.c \
	stress-sysinfo.c \
	stress-sysinval.c \
	stress-sysfs.c \
	stress-tee.c \
	stress-timer.c \
	stress-timerfd.c \
	stress-tlb-shootdown.c \
	stress-tmpfs.c \
	stress-touch.c \
	stress-tree.c \
	stress-tsc.c \
	stress-tsearch.c \
	stress-tun.c \
	stress-udp.c \
	stress-udp-flood.c \
	stress-umount.c \
	stress-unshare.c \
	stress-uprobe.c \
	stress-urandom.c \
	stress-userfaultfd.c \
	stress-usersyscall.c \
	stress-utime.c \
	stress-vdso.c \
	stress-vecfp.c \
	stress-vecmath.c \
	stress-vecshuf.c \
	stress-vecwide.c \
	stress-verity.c \
	stress-vforkmany.c \
	stress-vm.c \
	stress-vm-addr.c \
	stress-vm-rw.c \
	stress-vm-segv.c \
	stress-vm-splice.c \
	stress-wait.c \
	stress-waitcpu.c \
	stress-watchdog.c \
	stress-wcs.c \
	stress-x86cpuid.c \
	stress-x86syscall.c \
	stress-xattr.c \
	stress-yield.c \
	stress-zero.c \
	stress-zlib.c \
	stress-zombie.c \

#
# Stress core
#
CORE_SRC = \
	core-affinity.c \
	core-cpu.c \
	core-cpu-cache.c \
	core-hash.c \
	core-helper.c \
	core-icache.c \
	core-ignite-cpu.c \
	core-interrupts.c \
	core-io-uring.c \
	core-io-priority.c \
	core-job.c \
	core-killpid.c \
	core-klog.c \
	core-limit.c \
	core-lock.c \
	core-log.c \
	core-madvise.c \
	core-mincore.c \
	core-mlock.c \
	core-mmap.c \
	core-module.c \
	core-mounts.c \
	core-mwc.c \
	core-net.c \
	core-numa.c \
	core-out-of-memory.c \
	core-parse-opts.c \
	core-perf.c \
	core-processes.c \
	core-resources.c \
	core-sched.c \
	core-setting.c \
	core-shared-heap.c \
	core-shim.c \
	core-smart.c \
	core-sort.c \
	core-thermal-zone.c \
	core-time.c \
	core-thrash.c \
	core-ftrace.c \
	core-try-open.c \
	core-vmstat.c \
	stress-ng.c

SRC = $(CORE_SRC) $(STRESS_SRC)
OBJS = apparmor-data.o
OBJS += stress-eigen-ops.o
OBJS += $(SRC:.c=.o)

APPARMOR_PARSER=/sbin/apparmor_parser

all: config.h stress-ng

.SUFFIXES: .cpp .c .o

.o: Makefile

%.o: %.c $(HEADERS) $(HEADERS_GEN)
	$(PRE_Q)echo "CC $<"
	$(PRE_V)$(CC) $(CFLAGS) -c -o $@ $<

#
#  Use CC for linking if eigen is not being used, otherwise use CXX
#
stress-ng: config.h $(OBJS)
	$(PRE_Q)echo "LD $@"
	$(eval LINK_TOOL := $(shell if [ -n "$(shell grep '^#define HAVE_EIGEN' config.h)" ]; then echo $(CXX); else echo $(CC); fi))
	$(eval LDFLAGS_EXTRA := $(shell cat config | grep CONFIG_LDFLAGS | sed 's/CONFIG_LDFLAGS += //' | tr '\n' ' '))
	$(PRE_V)$(LINK_TOOL) $(OBJS) -lm $(LDFLAGS) $(LDFLAGS_EXTRA) -o $@

stress-eigen-ops.o: config.h
	@if grep -q '^#define HAVE_EIGEN' config.h; then \
		echo "CXX stress-eigen-ops.cpp";	\
		$(CXX) -c -o stress-eigen-ops.o stress-eigen-ops.cpp; \
	else \
		echo "CC stress-eigen-ops.c";	\
		$(CC) -c -o stress-eigen-ops.o stress-eigen-ops.c; \
	fi

config.h config:
	$(PRE_Q)echo "Generating config.."
	$(MAKE) CC="$(CC)" STATIC=$(STATIC) -f Makefile.config

makeconfig: config.h

#
#  generate apparmor data using minimal core utils tools from apparmor

=== debian/changelog ===
stress-ng (0.16.00-1) unstable; urgency=medium

  * Makefile: bump version to 0.16.00
  * core-helper: double size of temporary string buffer tmp
  * stress-ipsec-mb: use reverse compat macros for versions 0.55.00
  * stress-ipsec-mb: add reverse compat macros for version 0.52.0 or
    earlier
  * Manual: fix eigen table
  * stress-mlock: clean up pedantic warning on uninitialized pointer
    mappings
  * stress-cache: clean up longjmp clobber warnings on openhipster 202104
  * stress-mmap: check for NetBSD EPERM errors on page protection checks
  * stress-far-branch: disabled for NetBSD
  * stress-iomix: shrink file size if we hit EFBIG or ENOSPC
  * stress-copyfile: handle ENOSYS by skipping stressor
  * stress-misaligned: handle timeout by jmping back and restarting
  * kernel-coverage.sh: add more mlock options
  * README.md: fix ClearLinux libattr bundle name
  * stress-pagemove: add new --pagemove-mlock option
  * stress-memfd: add new --mefd-mlock option
  * stress-malloc: add new --malloc-mlock option
  * stress-llc-affinity: add new --llc-affinity-mlock option
  * kernel-coverage: add some more stressor options for more coverage
  * stress-physpage: voidify physpage_mtrr when not used
  * stress-bad-altstack: return EXIT_FAILURE insted of
    _exit(EXIT_FAILURE)
  * core-parse-opts: return 0 on err, clean up pedantic tcc warnings
  * stress-ng.h: undef _FORTIFY_SOURCE for TCC builds
  * core-killpid: break out of infinite loop and return via return path
  * stress-af-alg: add hmac(md5) to defconfigs
  * core-helper: add detection for Darwin libc
  * core-vmstat: clean up pedantic warning on const name array on OS X
  * stress-madvise: voidify hwpoison
  * stress-x86syscall: rename variables to avoid name shadowing
  * stress-open: remove shadowing variable ret
  * Manual: re-order options into alphabetical order, fix some hyphens
  * Manual: remove expand from tables now that x is being used
  * Manual: put code examples in courier font
  * Manual: use lx expand description in tables
  * Manual: add notes about the legacy io stressor
  * README.md: add another citation
  * Manual: remove x86 specific notes for icache stressor
  * stress-mmapaddr: remove trailing space
  * Manual: rephrase mlock options
  * stress-vm-addr: add new --vm-addr-mlock option
  * stress-waitcpu: only perform nop rate comparisons of x86
  * stress-stream: add new --stream-mlock option
  * stress-shm-sysv: add new --shm-sysv-mlock option
  * stress-shm: add new --shm-mlock option
  * stress-remap: add new --remap-mlock option
  * stress-resources: add new --resources-mlock option
  * stress-mmapmany: add new --mmapmany-mlock option
  * stress-mmaphuge: add new --mmaphuge-mlock option
  * stress-mmapfixed: add new --mmapfixed-mlock option
  * stress-mmapaddr: add new --mmapaddr-mlock option
  * stress-mmap: add new --mmap-mlock option
  * stress-l1cache: add new --l1cache-mlock option
  * stress-forkheavy: add new --forkheavy-mlock option
  * stress-bigheap: add new --bigheap-mlock option
  * stress-switch: report pipe read/write failures as debug message only
  * core-out-of-memory: change stress_set_adjustment to pass args
    instead of args->name
  * core-helper: add stress_munmap_retry_enomem to retry munmaps on
    ENOMEM errors
  * stress-open: unlink correctly path'd temp file
  * stress-sparsematrix: initialize some pointers to clean up cppcheck
    errors
  * stress-atomic: set check2 to non-check1 value to ensure value gets
    overwritten
  * core-perf: remove redundant null check on sp
  * core-helper: cast to uintmax_t for %ju format specifier
  * README.md: add two more citation links
  * stress-fp: check for upper bounds of method index
  * stress-ng: fix potential null deref in stress_get_nth_stressor
  * stress-utime: force fsync in #ifdef block
  * stress-pipe: add missing const from pointer buf32
  * stress-misaligned: fix unassigned timer.it_value field
  * stress-exec: add missing space in void * cast
  * core-vmstat: don't check for __APPLE__ if __FreeBSD__ is defined
  * core-helper: only declare tmp where it is required
  * stress-ng.h: remove unused shim_builtin_memmove macro
  * stress-open: use temporary directory for open+create files
  * stress-numa: exercise new linux system call set_mempolicy_home_node
  * stress-iomix: exercise new Linux cachestat system call
  * stress-aiol: ensure all fields in bad_ioc are zero
  * core-helper: fix SHIM_EXT2_IOC_SETFLAGS, pass &flags and not flags
  * core-killpid: set wstatus to zero
  * stress-vecfp: add some alignment hints
  * stress-shellsort: add some optimization hints
  * stress-steam: add more restrict and const pointer annotations
  * stress-physpage: only enable mtrr settings with the new
    --physpage-mtrr option
  * stress-get: remove duplicated getcontext call
  * Manual: correct the clock duration section
  * stress-pipe: default the pipe read/write size to 4096
  * stress-pipe: use verify/non-verify variants of read and write helpers
  * core-*: send SIGALRM to child process if stress-ng parent dies
  * core-*: check for ss->ignore and skip if set
  * core-*, stress-*: rename bogo-op related functions and variables
  * core-cache: remove unavailable cache options from cache flags mask
  * stress-far-branch: fix typo in .opt_set_funcs
  * core-helper: report cache sizes when -v is enabled
  * core-cpu-cache: rename stress_cpu_cache_get_level_size cache size
    argument
  * core-helper: add stress_unset_chattr_flags to unset chattr flags
  * stress-apparmor: break from loop on fatal policy load
  * stress-alarm: disable SIGUSR1 during counter increment
  * stress-ng: account for stressors that had untrustworthy metrics
  * README.md: add a kernel regression found with stress-ng
  * stress-ng: account for stressors that are skipped before they are run
  * stress-*: remove trailing space at end of lines
  * stress-*: add SIGCHLD handling to inform parent child has terminated


=== debian/control ===
Source: stress-ng
Rules-Requires-Root: no
Section: devel
Priority: optional
Maintainer: Colin Ian King <colin.i.king@gmail.com>
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 13),
               debhelper-compat (=13),
               zlib1g-dev,
               libbsd-dev,
               libeigen3-dev,
               libgcrypt20-dev,
               libjpeg-dev,
               libmpfr-dev,
               libkeyutils-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !linux-ia64],
               libapparmor-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               apparmor [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libaio-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libcap-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libsctp-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libipsec-mb-dev [amd64],
               libjudy-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libatomic1 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libkmod-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libxxhash-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libglvnd-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libgbm-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]

Homepage: https://github.com/ColinIanKing/stress-ng
Package: stress-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to load and stress a computer
 stress-ng can stress various subsystems of a computer.  It can stress load
 CPU, cache, disk, memory, socket and pipe I/O, scheduling and much more.
 stress-ng is a re-write of the original stress tool by Amos Waterland but
 has many additional features such as specifying the number of bogo operations
 to run, execution metrics, a stress verification on memory and compute
 operations and considerably more stress mechanisms.
